/*
    udos: micro disk OS.
    Copyright (c) 2003, 2004   Katsuhiko Gondow (gondow@cs.titech.ac.jp)
    $Id: syscall.h,v 1.17 2004/06/23 07:34:44 gondow Exp $
*/
#ifndef UDOS_SYSCALL_H
#define UDOS_SYSCALL_H
/* ---------------------------------------------------------------------- */
#define SYSCALL_FORK                   1
#define SYSCALL_EXEC                   2
#define SYSCALL_EXIT	               3
#define SYSCALL_WAIT                   4
#define SYSCALL_MSLEEP                 5
#define SYSCALL_OPEN                   6
#define SYSCALL_CLOSE                  7
#define SYSCALL_READ                   8
#define SYSCALL_WRITE                  9
#define SYSCALL_SEEK                  10
#define SYSCALL_READDIR               11
#define SYSCALL_MKDIR                 12
#define SYSCALL_RMDIR                 13
#define SYSCALL_UNLINK                14
#define SYSCALL_SYNC                  15
#define SYSCALL_CHDIR                 16
#define SYSCALL_STAT                  17
#define SYSCALL_SIGNAL                18
#define SYSCALL_KILL                  19
#define SYSCALL_GETPID                20
#define SYSCALL_GETPPID               21
#define SYSCALL_TCGETPID    	      22
#define SYSCALL_TCSETPID    	      23

#define SYSCALL_PRINTK	             100
#define SYSCALL_PANIC                101
#define SYSCALL_YIELD                102
#define SYSCALL_DUMP_MEM_USAGE       103
#define SYSCALL_DUMP_PROCESS_TABLE   104
#define SYSCALL_INFINITE_LOOP        105
#define SYSCALL_SYNC_WAIT    	     106
#define SYSCALL_SYNC_NOTIFY          107
#define SYSCALL_DUMP_STACK           108
/* ---------------------------------------------------------------------- */
#endif /* UDOS_SYSCALL_H */
