#include "udos.h"
#include "libudos.h"

int
cmain (int argc, char *argv [])
{
    int signum, pid;
    if (argc < 2) {
	printf ("Usage: kill [-SIG] pid\n");
	exit (1);
    } else if (argc == 2) {
	signum = SIGINT;
    	pid    = atoi (argv [1]);
    } else {
	if (!strcmp (argv [1], "-INT"))
	    signum = SIGINT;
	else if (!strcmp (argv [1], "-SEGV"))
	    signum = SIGSEGV;
	else if (!strcmp (argv [1], "-USR1"))
	    signum = SIGUSR1;
	else if (!strcmp (argv [1], "-USR2"))
	    signum = SIGUSR1;
	else
	    assert (0);
    	pid    = atoi (argv [2]);
    }
    kill (pid, signum);
    return 0;
}
