#include "udos.h"
#include "libudos.h"

int
cmain (int argc, char *argv [])
{
    int ret, fd;
    struct FAT_dirent dot_dirent, dirent;

    while (1) {
	ret = stat (".", &dot_dirent);
	assert (ret != -1);
	fd = open ("..", O_RDONLY);
	assert (fd != -1);
	while (readdir (fd, &dirent) > 0) {
	    if (dirent.clus_num == dot_dirent.clus_num)
		break;
	}
	close (fd);
	printf ("/%s", dirent.name);
	if (dot_dirent.clus_num == 0)
	    break;
	chdir ("..");
    }
    printf ("\n");
    return 0;
}
