/*
    udos: micro disk OS.
    Copyright (c) 2003, 2004   Katsuhiko Gondow (gondow@cs.titech.ac.jp)
    $Id: fd.h,v 1.7 2004/07/14 05:43:19 gondow Exp gondow $
*/
/* ---------------------------------------------------------------------- */
extern volatile int motor_off_time;
/* ---------------------------------------------------------------------- */
void FDC_init      (void);
void FDC_read      (int lba, int block_count, void *paddr);
void FDC_write     (int lba, int block_count, void *paddr);
void FDC_motor     (int on);

void buffer_init   (void);
void buffer_read   (int lba, void *paddr);
void buffer_readn  (int lba, int block_count, void *paddr);
void buffer_write  (int lba, void *paddr);
void buffer_writen (int lba, int block_count, void *paddr);

void buffer_sync   (void);

void FDC_intr_handler  (void);
/* ---------------------------------------------------------------------- */
