#include "udos.h"
#include "libudos.h"

int
cmain (int argc, char *argv [])
{
    char buf [512];
    int fd, nbytes, i;

    for (i = 1; i < argc; i++) {
	fd = open (argv [i], O_RDONLY);
	if (fd == -1) {
	    printf ("cat: No such file or directory: %s\n", argv [i]);
	    return 1;
	}
	while (1) {
	    nbytes = read (fd, buf, sizeof (buf));
	    if (nbytes <= 0)
		break;
	    write (1, buf, nbytes);
	}
	close (fd);
    }
    return 0;
}
