#include "udos.h"
#include "libudos.h"

jmp_buf env;

int
fact (int n)
{
    if (n <= 0) {
	printf ("hoge1\n");
	longjmp (env, 1);
    } else {
	return n * fact (n-1);
    }
}

int
cmain (void)
{
    uint32_t esp;
    asm volatile ("movl %%esp, %0": "=r"(esp));
    printf ("esp=%x\n", esp);
    if (setjmp (env) == 0) {
	fact (10);
    } 
    printf ("hoge2\n");
}
